|  |  | 11.2 Ipetoipe: converting Ipe file formats

## 11.2 Ipetoipe: converting Ipe file formats

The auxiliary program ipetoipe converts between the different Ipe file formats:

      ipetoipe ( -xml | -pdf ) { <options> } infile [ outfile ]

The first argument determines the format of the output file. If no output filename is provided, Ipe will try to guess it by appending one of the extensions "ipe" or "pdf" to the input file's basename.

For example, the command line syntax

      ipetoipe -pdf figure1.ipe

converts figure1.ipe to figure1.pdf.

Ipetoipe understands the following options:

`-export`
  No Ipe markup is included in the resulting output file. Ipe will not be able to open a file created that way, so make sure you keep your original!
`-markedview`
  (PDF only)
  Only the marked views of marked Ipe pages will be created in PDF format. If all views of a marked page are unmarked, the last view is exported. This is convenient to make handouts for slides.
`-pages` from-to
  (PDF only)
  Restrict exporting to PDF to this page range. This implies the `-export` option.
`-view` page-view
  Only export this single view from the document. This implies the `-export` option.
`-runlatex`
  Run Latex even for XML output. This has the effect of including the dimensions of each text object in the XML file.
`-nozip`
  Do not compress streams in PDF output.